Bug 73981 - [PATCH] science/libsvm: update to 2.7, python iface to slave port
Summary: [PATCH] science/libsvm: update to 2.7, python iface to slave port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-15 19:00 UTC by Rong-En Fan
Modified: 2004-12-11 04:55 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (5.54 KB, patch)
2004-11-15 19:00 UTC, Rong-En Fan
no flags Details | Diff
file.shar (1.14 KB, text/plain)
2004-11-15 19:00 UTC, Rong-En Fan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rong-En Fan 2004-11-15 19:00:54 UTC
	LIBSVM 2.7 has been released this month. Update ports
	and make changes:

	1. install tools
	2. make python interface to a slave port, like subverion
	3. respect to CXX and CFLAGS in python/Makefile
	4. take maintainship, I'm much more fimilar with libsvm
	   than David Yu does and David told me he is happy
	   that I can take over.

	I don't know how to make libsvm-python pass `port test'
	since I install python packages to ${PYTHON_SITELIBDIR}
	which is ${LOCALBASE}/..., not prefix with ${PREFIX}...

	On the other hand, libsvm does pass `port test'

Fix: ===> Generating patch
===> Viewing diff with less
Comment 1 David Yu 2004-11-16 05:10:34 UTC
great!
Comment 2 Sergey Matveychuk freebsd_committer 2004-12-11 02:58:56 UTC
distfile is unfetchable anymore:

=> libsvm-2.7.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from http://www.csie.ntu.edu.tw/~cjlin/libsvm/.
fetch: http://www.csie.ntu.edu.tw/~cjlin/libsvm/libsvm-2.7.tar.gz: Not Found
=> Attempting to fetch from 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
fetch: 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/libsvm-2.7.tar.gz: 
File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop in /usr/ports/science/libsvm.

-- 
Sem.
Comment 3 Sergey Matveychuk freebsd_committer 2004-12-11 02:59:03 UTC
State Changed
From-To: open->feedback

Ask submitter for a feedback.
Comment 4 Rong-En Fan 2004-12-11 03:40:37 UTC
ok, please change to following:


PORTVERSION=    2.71
CATEGORIES=     science math
MASTER_SITES=   http://www.csie.ntu.edu.tw/~cjlin/libsvm/ \
                http://www.csie.ntu.edu.tw/~cjlin/libsvm/oldfiles/

MAINTAINER=     rafan@infor.org
COMMENT=        A library for Support Vector Machines

USE_ZIP=        yes

changes:

1. use 2.71, instead of 2.7
2. add another MASTER_SITES, author moves old release to oldfiles/
3. USE_ZIP since author only save .zip in oldfiles/

distinfo is now:

MD5 (libsvm-2.71.zip) = 2c963638a0ae0f2bdcc36afe6fdc173b
SIZE (libsvm-2.71.zip) = 455940

-rafan

On Sat, Dec 11, 2004 at 05:58:56AM +0300, Sergey Matveychuk wrote:
> distfile is unfetchable anymore:
> 
> => libsvm-2.7.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
> => Attempting to fetch from http://www.csie.ntu.edu.tw/~cjlin/libsvm/.
> fetch: http://www.csie.ntu.edu.tw/~cjlin/libsvm/libsvm-2.7.tar.gz: Not Found
> => Attempting to fetch from 
> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
> fetch: 
> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/libsvm-2.7.tar.gz: 
> File unavailable (e.g., file not found, no access)
> => Couldn't fetch it - please try to retrieve this
> => port manually into /usr/ports/distfiles/ and try again.
> *** Error code 1
> 
> Stop in /usr/ports/science/libsvm.
> 
> -- 
> Sem.
> 
Comment 5 Sergey Matveychuk freebsd_committer 2004-12-11 04:53:24 UTC
State Changed
From-To: feedback->closed

Commited, thanks! 
But fix README.python removing. 
And add python in port category (to master or slave - it's your choice).